import { createApp } from 'vue'
import '@/style/common/index.less'
import App from './App.vue'

import pinia from '@/store/index.js'
import router from '@/router/index.js'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import './style/hdjl/index.less'
import './style/common/index.less'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'


const app = createApp(App)

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}

app.use(pinia)
app.use(router)
app.use(ElementPlus,{
    locale: zhCn,

})
app.mount('#app')